NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Positioning::Network Class Reference

Network for use in positioning objects in NX. More...

Inheritance diagram for NXOpen::Positioning::Network:
NXOpen::NXObject NXOpen::TaggedObject NXOpen::INXObject NXOpen::Positioning::ComponentNetwork

Public Types

enum  ObjectStatus {
  ObjectStatusUnknown, ObjectStatusFixed, ObjectStatusOverDefined, ObjectStatusNotConsistentDims,
  ObjectStatusNotConsistentOther, ObjectStatusNotConsistentUnknown, ObjectStatusNotChanged, ObjectStatusWellDefined,
  ObjectStatusUnderDefined
}
 Specifies the solver status of a movable object. More...
 
- Public Types inherited from NXOpen::NXObject
enum  AttributeType {
  AttributeTypeInvalid, AttributeTypeNull, AttributeTypeBoolean, AttributeTypeInteger,
  AttributeTypeReal, AttributeTypeString, AttributeTypeTime, AttributeTypeReference,
  AttributeTypeAny = 100
}
 Specifies attribute type. More...
 
enum  DateAndTimeFormat { DateAndTimeFormatNumeric, DateAndTimeFormatTextual }
 Specifies the format of the date and time attribute. More...
 

Public Member Functions

void AddConstraint (NXOpen::Positioning::Constraint *constraint)
 Add a Constraint to the network. More...
 
void AddMovableObject (NXOpen::NXObject *movableObject)
 Add a movable object to the network. More...
 
void ApplyToModel ()
 Applies the current network state to the model. More...
 
void BeginDrag ()
 Notify the network that a sequence of drag operations is about to begin. More...
 
NXOpen::Assemblies::ComponentDisplayComponent ()
 Returns the Assemblies::Component in which the display is changed by solving the network. More...
 
void DragByRay (const NXOpen::Point3d &point, const NXOpen::Vector3d &direction)
 Move objects which have been added to the network using Positioning::Network::AddMovableObject . More...
 
void DragByTransform (const NXOpen::Vector3d &translation, const NXOpen::Matrix3x3 &rotation)
 Move objects which have been added to the network using Positioning::Network::AddMovableObject . More...
 
void DragByTranslation (const NXOpen::Vector3d &translation)
 Move objects which have been added to the network using Positioning::Network::AddMovableObject . More...
 
void EmptyMovingGroup ()
 Remove all elements from the moving_group. More...
 
void EndDrag ()
 Notify the network that a sequence of drag operations has ended. More...
 
NXOpen::Positioning::Network::ObjectStatus GetMovableObjectStatus (NXOpen::NXObject *movableObject)
 Returns the solver status of a movable object. More...
 
bool IsReferencedGeometryLoaded ()
 Are the necessary objects loaded so that all connected constraints can be included during a drag or solve ? More...
 
void LoadReferencedGeometry ()
 Load the necessary objects so that all connected constraints can be included during a drag or solve. More...
 
bool MoveObjectsState ()
 Returns the move objects state for the network. More...
 
bool NonMovingGroupGrounded ()
 Returns the grounded state of non-moving_group objects. More...
 
void RemoveAllConstraints ()
 Remove all Constraint s which have been explcitly added to the network. More...
 
void RemoveConstraint (NXOpen::Positioning::Constraint *constraint)
 Remove a Constraint from the network. More...
 
void RemoveMovableObject (NXOpen::NXObject *movableObject)
 Remove a movable object from the network. More...
 
void ResetDisplay ()
 Returns the display objects to their model positions. More...
 
void SetDisplayComponent (NXOpen::Assemblies::Component *displayComponent)
 Sets the Assemblies::Component in which the display is changed by solving the network. More...
 
void SetMoveObjectsState (bool moveObjectsState)
 Sets the move objects state for the network. More...
 
void SetMovingGroup (const std::vector< NXOpen::NXObject * > &movableObjects)
 Set the elements of the moving_group. More...
 
void SetNonMovingGroupGrounded (bool ground)
 Sets the grounded state of non-moving_group objects. More...
 
void Solve ()
 Solves the constraint network. More...
 
- Public Member Functions inherited from NXOpen::NXObject
NXOpen::AttributeIteratorCreateAttributeIterator ()
 Create an attribute iterator. More...
 
void DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type)
 Deletes all attributes of a specific type. More...
 
void DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option)
 Deletes all attributes of a specific type with the option to update or not. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title)
 Deletes an attribute by type and title. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title)
 Deletes an attribute by type and title. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title, NXOpen::Update::Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title, NXOpen::Update::Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
void DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const NXString &title, bool deleteEntireArray, NXOpen::Update::Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
void DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const char *title, bool deleteEntireArray, NXOpen::Update::Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
void DeleteUserAttributes (NXOpen::AttributeIterator *iterator, NXOpen::Update::Option option)
 Deletes the attributes on the object, if any, that satisfy the given iterator
Created in NX8.0.0. More...
 
void DeleteUserAttributes (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option)
 Deletes the attributes encountered with the given Type with option to update or not. More...
 
virtual NXOpen::INXObjectFindObject (const NXString &journalIdentifier)
 Finds the NXOpen::NXObject with the given identifier as recorded in a journal. More...
 
virtual NXOpen::INXObjectFindObject (const char *journalIdentifier)
 Finds the NXOpen::NXObject with the given identifier as recorded in a journal. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetAttributeTitlesByType (NXOpen::NXObject::AttributeType type)
 Gets all the attribute titles of a specific type. More...
 
bool GetBooleanUserAttribute (const NXString &title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
bool GetBooleanUserAttribute (const char *title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
NXOpen::NXObject::ComputationalTime GetComputationalTimeUserAttribute (const NXString &title, int index)
 Gets a time attribute by Title and array Index. More...
 
NXOpen::NXObject::ComputationalTime GetComputationalTimeUserAttribute (const char *title, int index)
 Gets a time attribute by Title and array Index. More...
 
int GetIntegerAttribute (const NXString &title)
 Gets an integer attribute by title. More...
 
int GetIntegerAttribute (const char *title)
 Gets an integer attribute by title. More...
 
int GetIntegerUserAttribute (const NXString &title, int index)
 Gets an integer attribute by Title and array Index. More...
 
int GetIntegerUserAttribute (const char *title, int index)
 Gets an integer attribute by Title and array Index. More...
 
bool GetNextUserAttribute (NXOpen::AttributeIterator *iterator, NXOpen::NXObject::AttributeInformation *info)
 Gets the next attribute encountered on the object, if any, that satisfies the given iterator. More...
 
NXString GetPdmReferenceAttributeValue (const NXString &attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
NXString GetPdmReferenceAttributeValue (const char *attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
double GetRealAttribute (const NXString &title)
 Gets a real attribute by title. More...
 
double GetRealAttribute (const char *title)
 Gets a real attribute by title. More...
 
double GetRealUserAttribute (const NXString &title, int index)
 Gets a real attribute by Title and array Index. More...
 
double GetRealUserAttribute (const char *title, int index)
 Gets a real attribute by Title and array Index. More...
 
NXString GetReferenceAttribute (const NXString &title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
NXString GetReferenceAttribute (const char *title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
NXString GetStringAttribute (const NXString &title)
 Gets a string attribute value by title. More...
 
NXString GetStringAttribute (const char *title)
 Gets a string attribute value by title. More...
 
NXString GetStringUserAttribute (const NXString &title, int index)
 Gets a string attribute by Title and array Index. More...
 
NXString GetStringUserAttribute (const char *title, int index)
 Gets a string attribute by Title and array Index. More...
 
NXString GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const NXString &title)
 Gets a time attribute by title. More...
 
NXString GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const char *title)
 Gets a time attribute by title. More...
 
NXString GetTimeUserAttribute (const NXString &title, int index)
 Gets a time attribute by Title and array Index. More...
 
NXString GetTimeUserAttribute (const char *title, int index)
 Gets a time attribute by Title and array Index. More...
 
NXOpen::NXObject::AttributeInformation GetUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
NXOpen::NXObject::AttributeInformation GetUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttribute (const NXString &title, bool includeUnset, bool addStringValues, NXOpen::NXObject::AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttribute (const char *title, bool includeUnset, bool addStringValues, NXOpen::NXObject::AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
NXString GetUserAttributeAsString (const NXString &title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
NXString GetUserAttributeAsString (const char *title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
int GetUserAttributeCount (NXOpen::AttributeIterator *iterator)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
int GetUserAttributeCount (NXOpen::AttributeIterator *iterator, bool countArrayAsOneAttribute)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
int GetUserAttributeCount (NXOpen::NXObject::AttributeType type)
 Gets the count of set attributes on the object, if any, of the given type. More...
 
int GetUserAttributeCount (NXOpen::NXObject::AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)
 Gets the count of attributes on the object, if any, of the given type. More...
 
bool GetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type)
 Determine the lock of the given attribute. More...
 
bool GetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type)
 Determine the lock of the given attribute. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes (NXOpen::AttributeIterator *iterator)
 Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes ()
 Gets all the attributes that have been set on the given object. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes (bool includeUnset)
 Gets all the attributes of the given object. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes (bool includeUnset, bool addStringValues)
 Gets all the attributes of the given object. More...
 
std::vector< NXStringGetUserAttributesAsStrings ()
 Gets all the attributes that have been set on the given object. More...
 
int GetUserAttributeSize (const NXString &title, NXOpen::NXObject::AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
int GetUserAttributeSize (const char *title, NXOpen::NXObject::AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
std::vector< NXOpen::NXObject * > GetUserAttributeSourceObjects ()
 Returns an array of objects from which this object presents attributes. More...
 
bool HasUserAttribute (NXOpen::AttributeIterator *iterator)
 Determines if an attribute exists on the object, that satisfies the given iterator. More...
 
bool HasUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
bool HasUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
virtual bool IsOccurrence ()
 Returns whether this object is an occurrence or not. More...
 
virtual NXString JournalIdentifier ()
 Returns the identifier that would be recorded in a journal for this object. More...
 
virtual NXString Name ()
 Returns the custom name of the object. More...
 
virtual
NXOpen::Assemblies::Component
OwningComponent ()
 Returns the owning component, if this object is an occurrence. More...
 
virtual NXOpen::BasePartOwningPart ()
 Returns the owning part of this object
Created in NX3.0.0. More...
 
virtual void Print ()
 Prints a representation of this object to the system log file. More...
 
virtual NXOpen::INXObjectPrototype ()
 Returns the prototype of this object if it is an occurrence. More...
 
void SetAttribute (const NXString &title, int value)
 Creates or modifies an integer attribute. More...
 
void SetAttribute (const char *title, int value)
 Creates or modifies an integer attribute. More...
 
void SetAttribute (const NXString &title, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetAttribute (const char *title, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetAttribute (const NXString &title, double value)
 Creates or modifies a real attribute. More...
 
void SetAttribute (const char *title, double value)
 Creates or modifies a real attribute. More...
 
void SetAttribute (const NXString &title, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetAttribute (const char *title, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetAttribute (const NXString &title, const NXString &value)
 Creates or modifies a string attribute. More...
 
void SetAttribute (const char *title, const char *value)
 Creates or modifies a string attribute. More...
 
void SetAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetAttribute (const char *title, const char *value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetAttribute (const NXString &title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
void SetAttribute (const char *title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
void SetAttribute (const NXString &title, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetAttribute (const char *title, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetBooleanUserAttribute (const NXString &title, int index, bool value, NXOpen::Update::Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
void SetBooleanUserAttribute (const char *title, int index, bool value, NXOpen::Update::Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
virtual void SetName (const NXString &name)
 Sets the custom name of the object. More...
 
virtual void SetName (const char *name)
 Sets the custom name of the object. More...
 
void SetPdmReferenceAttribute (const NXString &attributeTitle, const NXString &attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
void SetPdmReferenceAttribute (const char *attributeTitle, const char *attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
void SetReferenceAttribute (const NXString &title, const NXString &value)
 Creates or modifies a string attribute which uses a reference string. More...
 
void SetReferenceAttribute (const char *title, const char *value)
 Creates or modifies a string attribute which uses a reference string. More...
 
void SetReferenceAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
void SetReferenceAttribute (const char *title, const char *value, NXOpen::Update::Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
void SetTimeAttribute (const NXString &title, const NXString &value)
 Creates or modifies a time attribute. More...
 
void SetTimeAttribute (const char *title, const char *value)
 Creates or modifies a time attribute. More...
 
void SetTimeAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeAttribute (const char *title, const char *value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const NXString &title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const char *title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetUserAttribute (const NXOpen::NXObject::AttributeInformation &info, NXOpen::Update::Option option)
 Creates or modifies an attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type, bool lock)
 Lock or unlock the given attribute. More...
 
void SetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type, bool lock)
 Lock or unlock the given attribute. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Network for use in positioning objects in NX.

A network consists of explicitly added constraints and movable objects together with others implicitly added because they are connected by to those in the network.
Use Positioning::Positioner::EstablishNetwork to create an instance of this class.

Created in NX4.0.0.

Member Enumeration Documentation

Specifies the solver status of a movable object.

Enumerator
ObjectStatusUnknown 

Not yet evaluated.

ObjectStatusFixed 

Attempt to put constraint between two fixed objects.

ObjectStatusOverDefined 

Conflicts with other constraints.

ObjectStatusNotConsistentDims 

Cannot solve with current dimension values.

Model fully defined.

ObjectStatusNotConsistentOther 

Cannot find a solution.

Model underdefined.

ObjectStatusNotConsistentUnknown 

One movable object fixed.

ObjectStatusNotChanged 

Not evaluated because other parts of the model are over defined or inconsistent.

ObjectStatusWellDefined 

The constraint is solved and satisfied.

ObjectStatusUnderDefined 

The constraint is solved and satisfied.

Member Function Documentation

void NXOpen::Positioning::Network::AddConstraint ( NXOpen::Positioning::Constraint constraint)

Add a Constraint to the network.


Created in NX4.0.0.

License requirements : assemblies ("ASSEMBLIES MODULE")

Parameters
constraintThe Constraint to be added
void NXOpen::Positioning::Network::AddMovableObject ( NXOpen::NXObject movableObject)

Add a movable object to the network.

An object explicitly added by this method will be directly moved by calls to Positioning::Network::DragByRay , Positioning::Network::DragByTransform and Positioning::Network::DragByTranslation .


Created in NX4.0.0.

License requirements : assemblies ("ASSEMBLIES MODULE")

Parameters
movableObjectAn NXObject to be moved
void NXOpen::Positioning::Network::ApplyToModel ( )

Applies the current network state to the model.

This may change the position of movable objects and the status of constraints in the model. Does not do a solve or an update.


Created in NX4.0.0.

License requirements : assemblies ("ASSEMBLIES MODULE")

void NXOpen::Positioning::Network::BeginDrag ( )

Notify the network that a sequence of drag operations is about to begin.


This must be called before a series of calls to Positioning::Network::DragByRay , Positioning::Network::DragByTransform or Positioning::Network::DragByTranslation . Following a drag, and before any other changes to a network are made, Positioning::Network::EndDrag should be called.


Created in NX4.0.0.

License requirements : assemblies ("ASSEMBLIES MODULE")

NXOpen::Assemblies::Component* NXOpen::Positioning::Network::DisplayComponent ( )

Returns the Assemblies::Component in which the display is changed by solving the network.

The display component can be NULL if display changes are made in the part of the network. The prototype of the display component should be the part containing the network.


Created in NX4.0.0.

License requirements : assemblies ("ASSEMBLIES MODULE")

void NXOpen::Positioning::Network::DragByRay ( const NXOpen::Point3d point,
const NXOpen::Vector3d direction 
)

Move objects which have been added to the network using Positioning::Network::AddMovableObject .

Constraints are honored during the drag so that other objects may also move as a result of this call. On the first call to this method, a notional point is added to each of the objects to be dragged. On subsequent calls, this notional point, and hence the dragged object, is kept as close as possible to the ray determined by point and direction. If there are no constraints then the point will stay on the ray.


A series of calls to this method can be made between calls to Positioning::Network::BeginDrag and Positioning::Network::EndDrag .


Created in NX4.0.0.

License requirements : assemblies ("ASSEMBLIES MODULE")

Parameters
pointA point on the ray
directionThe direction of the ray
void NXOpen::Positioning::Network::DragByTransform ( const NXOpen::Vector3d translation,
const NXOpen::Matrix3x3 rotation 
)

Move objects which have been added to the network using Positioning::Network::AddMovableObject .

Constraints are honored during the drag so that other objects may also move as a result of this call. The rotation is applied first, then the translation.


A series of calls to this method can be made between calls to Positioning::Network::BeginDrag and Positioning::Network::EndDrag .


Created in NX4.0.0.

License requirements : assemblies ("ASSEMBLIES MODULE")

Parameters
translationThe translation to be applied
rotationThe rotation to be applied
void NXOpen::Positioning::Network::DragByTranslation ( const NXOpen::Vector3d translation)

Move objects which have been added to the network using Positioning::Network::AddMovableObject .

Constraints are honored during the drag so that other objects may also move as a result of this call.

Unlike Positioning::Network::DragByTransform there is no rotational element passed in. This can improve the behavior of the constraint solver.


A series of calls to this method can be made between calls to Positioning::Network::BeginDrag and Positioning::Network::EndDrag .


Created in NX6.0.4.

License requirements : assemblies ("ASSEMBLIES MODULE")

Parameters
translationThe translation to be applied
void NXOpen::Positioning::Network::EmptyMovingGroup ( )

Remove all elements from the moving_group.

See Positioning::Network::SetMovingGroup .


Created in NX4.0.0.

License requirements : assemblies ("ASSEMBLIES MODULE")

void NXOpen::Positioning::Network::EndDrag ( )

Notify the network that a sequence of drag operations has ended.


This must be called after a series of calls to Positioning::Network::DragByRay , Positioning::Network::DragByTransform or Positioning::Network::DragByTranslation .


Created in NX4.0.0.

License requirements : assemblies ("ASSEMBLIES MODULE")

NXOpen::Positioning::Network::ObjectStatus NXOpen::Positioning::Network::GetMovableObjectStatus ( NXOpen::NXObject movableObject)

Returns the solver status of a movable object.

Returns
The solver status of the movable object
Created in NX4.0.0.

License requirements : assemblies ("ASSEMBLIES MODULE")
Parameters
movableObjectAn NXObject positioned by the network
bool NXOpen::Positioning::Network::IsReferencedGeometryLoaded ( )

Are the necessary objects loaded so that all connected constraints can be included during a drag or solve ?

Returns

Created in NX5.0.1.

License requirements : assemblies ("ASSEMBLIES MODULE")
void NXOpen::Positioning::Network::LoadReferencedGeometry ( )

Load the necessary objects so that all connected constraints can be included during a drag or solve.

If an object is not loaded then the part containing it will be fully loaded by this call.


Created in NX5.0.1.

License requirements : assemblies ("ASSEMBLIES MODULE")

bool NXOpen::Positioning::Network::MoveObjectsState ( )

Returns the move objects state for the network.

When set the display positions of objects are immediately updated upon constraint creation or edit.


Created in NX4.0.0.

License requirements : assemblies ("ASSEMBLIES MODULE")

bool NXOpen::Positioning::Network::NonMovingGroupGrounded ( )

Returns the grounded state of non-moving_group objects.

When set all objects outside the moving_group are fixed and will not move during a solve or drag.


Created in NX4.0.0.

License requirements : assemblies ("ASSEMBLIES MODULE")

void NXOpen::Positioning::Network::RemoveAllConstraints ( )

Remove all Constraint s which have been explcitly added to the network.

Those constraints connected to explcicitly added movable objects will still be include in a network solve.


Created in NX6.0.0.

License requirements : assemblies ("ASSEMBLIES MODULE")

void NXOpen::Positioning::Network::RemoveConstraint ( NXOpen::Positioning::Constraint constraint)

Remove a Constraint from the network.

A constraint explicitly removed by this method may still included in a network solve if connected to another constraint or movable object which has been explicitly added.


Created in NX6.0.0.

License requirements : assemblies ("ASSEMBLIES MODULE")

Parameters
constraintThe Constraint to be removed
void NXOpen::Positioning::Network::RemoveMovableObject ( NXOpen::NXObject movableObject)

Remove a movable object from the network.

An object explicitly removed by this method will not be directly moved by calls to Positioning::Network::DragByRay , Positioning::Network::DragByTransform and Positioning::Network::DragByTranslation , though it may still be moved indirectly if constrained to other movable objects.


Created in NX4.0.0.

License requirements : assemblies ("ASSEMBLIES MODULE")

Parameters
movableObjectAn NXObject to be removed from the network
void NXOpen::Positioning::Network::ResetDisplay ( )

Returns the display objects to their model positions.


Created in NX4.0.0.

License requirements : assemblies ("ASSEMBLIES MODULE")

void NXOpen::Positioning::Network::SetDisplayComponent ( NXOpen::Assemblies::Component displayComponent)

Sets the Assemblies::Component in which the display is changed by solving the network.

The display component can be NULL if display changes are made in the part of the network. The prototype of the display component should be the part containing the network.


Created in NX4.0.0.

License requirements : assemblies ("ASSEMBLIES MODULE")

Parameters
displayComponentThe component in which the constraints are displayed. Can be NULL.
void NXOpen::Positioning::Network::SetMoveObjectsState ( bool  moveObjectsState)

Sets the move objects state for the network.

When set the display positions of objects are immediately updated upon constraint creation or edit.


Created in NX4.0.0.

License requirements : assemblies ("ASSEMBLIES MODULE")

Parameters
moveObjectsStatemove objects state
void NXOpen::Positioning::Network::SetMovingGroup ( const std::vector< NXOpen::NXObject * > &  movableObjects)

Set the elements of the moving_group.

The elements of the moving_group will move as a rigid body during a solve or drag operation. Objects outside the moving group can all be prevented from moving by setting Positioning::Network::NonMovingGroupGrounded and Positioning::Network::SetNonMovingGroupGrounded


Created in NX4.0.0.

License requirements : assemblies ("ASSEMBLIES MODULE")

Parameters
movableObjectsThe NXObject s to be moved
void NXOpen::Positioning::Network::SetNonMovingGroupGrounded ( bool  ground)

Sets the grounded state of non-moving_group objects.

When set all objects outside the moving_group are fixed and will not move during a solve or drag.


Created in NX4.0.0.

License requirements : assemblies ("ASSEMBLIES MODULE")

Parameters
groundground
void NXOpen::Positioning::Network::Solve ( )

Solves the constraint network.

Does apply the results to the model but does not do an update.


Created in NX4.0.0.

License requirements : assemblies ("ASSEMBLIES MODULE")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.